<?php
/**
Author: Tommy
Plugin name: Userbar 
Version: 1.4 r1
Website: GFX-Core.com
*/

//define no direct access
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
//These will be used later
$plugins->add_hook("usercp_menu", "userbarplugin");

//plugin info
function userbarplugin_info()
{
return array(
   "name"    => "نوار کاربری",
   "description" => "نمایش جزییات کاربر در یک عکس، فارسی سازی توسط MyBBIran.com",
   "website"  => "http://gfx-core.com",
   "author"  => "Tommy",
   "authorsite"  => "http://gfx-core.com",
   "version"  => "1.4 r3",
   "compatibility" => "14*",
   "guid" => "3cdd57b02c41495574f5409e1728307e"
   );
}

//Activate code
function userbarplugin_activate()
{
	global $db;
	  
	  $group = array(
        "gid"            => "999",
        "title"          => "نوار کاربری",
        "name"           => "پلاگین نوار کاربری",
        "description"    => "تنظیمات برای پلاگین نوار کاربری",
        "disporder"      => "1",
        "isdefault"      => "0",
    );
	      $db->insert_query("settinggroups", $group);
    $gid = $db->insert_id();
	
//This setting turns the usebar on and off	
$set_userbar = array(
		"name" => "set_userbar",
		"title" => "نوار کاربری",
		"description" => "نوار کاربری روشن باشد؟",
		"optionscode" => "yesno",
		"value" => "1",
		"disporder" => "1",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $set_userbar);
	
	
//use referral link instead of forum link
$set_userbar_referral = array(
		"name" => "set_userbar_referral",
		"title" => "لینک معرفی کننده",
		"description" => "از لینک معرفی کننده هنگامی که روی عکس کلیک می شود استفاده شود؟",
		"optionscode" => "yesno",
		"value" => "0",
		"disporder" => "1",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $set_userbar_referral);

//This setting allows editing of background image
$userbarsetting_1 = array(
		"name" => "choose_image_userbar",
		"title" => "انتخاب عکس نوار کاربری",
		"description" => "This can be used to change the Userbar image. Simply change the number in this box to any number, and upload an image to the ./images/userbar folder. The ID is the name of the image. So \"1.png\" is represented as \"1\"",
		"optionscode" => "text",
		"value" => "1",
		"disporder" => "2",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $userbarsetting_1);

rebuildsettings();

	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets("usercp", '#'.preg_quote('{$latest_warnings}').'#', '{\$latest_warnings}{\$userbarplugin}');
}

//de-activate plugin
function userbarplugin_deactivate()
{
	global $db;
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name = 'userbarplugin'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name IN('set_userbar','choose_image_userbar','set_userbar_referral')");

	rebuild_settings();
	
	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets("usercp", '#'.preg_quote('{$userbarplugin}').'#' , '',0);
}

function userbarplugin()
{
	
	global $mybb, $theme, $userbarplugin;
	
		if($mybb->settings['set_userbar_referral'] == "0")
	{		
$userbarplugin = "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"tborder\">
<tr>
<td class=\"thead\">
<div class=\"theadleft\"></div>
<div class=\"theadright\"></div>
<div class=\"theadmain\"><strong>لینک نوار کاربری:</strong></div>
</td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{$theme['borderwidth']}\" cellpadding=\"{$theme['tablespace']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" width=\"40%\"><strong>این قسمت نوار کاربری می باشد:</strong></td>
<td class=\"trow1\" width=\"60%\"><img src=\"{$mybb->settings['bburl']}/userbar.php?uid={$mybb->user['uid']}\"</a></td>
</tr>
<tr>
<td class=\"trow1\" width=\"40%\"><strong>بی بی کد BBCODE:</strong>
<br></br>
این قسمت می تواند برای انجمن شما استفاده شود. (اگر کار نمی کند از کد اچ تی ام ال زیر استفاده کنید)</td>
<td class=\"trow1\" width=\"60%\"><textarea name=\"bbcode\" cols=\"60\" rows=\"3\" readonly=\"readonly\" id=\"bbcode\">[URL={$mybb->settings['bburl']}][IMG]{$mybb->settings['bburl']}/userbar.php?uid={$mybb->user['uid']}[/IMG][/URL]</textarea></td>
</tr>
<tr>
<td class=\"trow1\" width=\"40%\"><strong>اچ تی ام ال HTML:</strong>
<br></br>
این قسمت می تواند در وبسایتی که اچ تی ام ال روشن است استفاده شود (اگر کار نمی کند از بی بی کد در بالا استفاده کنید)</td>
<td class=\"trow1\" width=\"60%\"><textarea name=\"bbcode\" cols=\"60\" rows=\"3\" readonly=\"readonly\" id=\"html\"><a href=\"{$mybb->settings['bburl']}\"><img src=\"{$mybb->settings['bburl']}/userbar.php?uid={$mybb->user['uid']}\"/></a></textarea></td>
</tr>
</table>";
	}
	else 
	{
	$userbarplugin = "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"tborder\">
<tr>
<td class=\"thead\">
<div class=\"theadleft\"></div>
<div class=\"theadright\"></div>
<div class=\"theadmain\"><strong>لینک نوار کاربری:</strong></div>
</td>
</tr>
</table>
<table border=\"0\" cellspacing=\"{$theme['borderwidth']}\" cellpadding=\"{$theme['tablespace']}\" class=\"tborder\">
<tr>
<td class=\"trow1\" width=\"40%\"><strong>این قسمت نوار کاربری می باشد:</strong></td>
<td class=\"trow1\" width=\"60%\"><img src=\"{$mybb->settings['bburl']}/userbar.php?uid={$mybb->user['uid']}\"</a></td>
</tr>
<tr>
<td class=\"trow1\" width=\"40%\"><strong>بی بی کد BBCODE:</strong>
<br></br>
این قسمت می تواند برای انجمن شما استفاده شود. (اگر کار نمی کند از کد اچ تی ام ال زیر استفاده کنید)</td>
<td class=\"trow1\" width=\"60%\"><textarea name=\"bbcode\" cols=\"60\" rows=\"3\" readonly=\"readonly\" id=\"bbcode\">[URL={$mybb->settings['bburl']}/index.php?referrer={$mybb->user['uid']}][IMG]{$mybb->settings['bburl']}/userbar.php?uid={$mybb->user['uid']}[/IMG][/URL]</textarea></td>
</tr>
<tr>
<td class=\"trow1\" width=\"40%\"><strong>اچ تی ام ال HTML:</strong>
<br></br>
این قسمت می تواند در وبسایتی که اچ تی ام ال روشن است استفاده شود (اگر کار نمی کند از بی بی کد در بالا استفاده کنید)</td>
<td class=\"trow1\" width=\"60%\"><textarea name=\"bbcode\" cols=\"60\" rows=\"3\" readonly=\"readonly\" id=\"html\"><a href=\"{$mybb->settings['bburl']}/index.php?referrer={$mybb->user['uid']}\"><img src=\"{$mybb->settings['bburl']}/userbar.php?uid={$mybb->user['uid']}\"/></a></textarea></td>
</tr>
</table>";
	}
}
?>